Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.localsearch.decider.deciderscorecomparator
Class ShiftingHardPenaltyDeciderScoreComparatorFactory

    java.lang.Object
      org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter
          org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter
              org.optaplanner.core.impl.localsearch.decider.deciderscorecomparator.AbstractDeciderScoreComparatorFactory
                  org.optaplanner.core.impl.localsearch.decider.deciderscorecomparator.ShiftingHardPenaltyDeciderScoreComparatorFactory

All Implemented Interfaces:
  EventListener, DeciderScoreComparatorFactory, LocalSearchPhaseLifecycleListener, SolverLifecycleListener

    public class ShiftingHardPenaltyDeciderScoreComparatorFactory

extends AbstractDeciderScoreComparatorFactory

See Also:
  `DeciderScoreComparatorFactory`

Field Summary

Fields inherited from class org.optaplanner.core.impl.localsearch.decider.deciderscorecomparator.AbstractDeciderScoreComparatorFactory
`logger`

Constructor Summary
`ShiftingHardPenaltyDeciderScoreComparatorFactory()`

Method Summary
`Comparator<Score>` | `createDeciderScoreComparator()`
`void` | `phaseStarted(LocalSearchPhaseScope phaseScope)`
`void` | `setHardScoreActivationThreshold(int hardScoreActivationThreshold)`
`void` | `setHardWeightSurvivalRatio(double hardWeightSurvivalRatio)`
`void` | `setStartingHardWeight(int startingHardWeight)`
`void` | `setSuccessiveNoHardChangeMaximum(int successiveNoHardChangeMaximum)`
`void` | `setSuccessiveNoHardChangeMinimum(int successiveNoHardChangeMinimum)`
`void` | `setSuccessiveNoHardChangeRepetitionMultiplicand(double successiveNoHardChangeRepetitionMultiplicand)`
`void` | `stepEnded(LocalSearchStepScope stepScope)`

Methods inherited from class org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter
`phaseEnded, stepStarted`

Methods inherited from class org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter
`solvingEnded, solvingStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListener
`phaseEnded, stepStarted`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Constructor Detail

### ShiftingHardPenaltyDeciderScoreComparatorFactory

    public ShiftingHardPenaltyDeciderScoreComparatorFactory()

Method Detail

### setHardScoreActivationThreshold

    public void setHardScoreActivationThreshold(int hardScoreActivationThreshold)

### setSuccessiveNoHardChangeMinimum

    public void setSuccessiveNoHardChangeMinimum(int successiveNoHardChangeMinimum)

### setSuccessiveNoHardChangeMaximum

    public void setSuccessiveNoHardChangeMaximum(int successiveNoHardChangeMaximum)

### setSuccessiveNoHardChangeRepetitionMultiplicand

    public void setSuccessiveNoHardChangeRepetitionMultiplicand(double successiveNoHardChangeRepetitionMultiplicand)

### setHardWeightSurvivalRatio

    public void setHardWeightSurvivalRatio(double hardWeightSurvivalRatio)

### setStartingHardWeight

    public void setStartingHardWeight(int startingHardWeight)

### phaseStarted

    public void phaseStarted(LocalSearchPhaseScope phaseScope)

  Specified by:
    `phaseStarted` in interface `LocalSearchPhaseLifecycleListener`
  Overrides:
    `phaseStarted` in class `LocalSearchPhaseLifecycleListenerAdapter`

### stepEnded

    public void stepEnded(LocalSearchStepScope stepScope)

  Specified by:
    `stepEnded` in interface `LocalSearchPhaseLifecycleListener`
  Overrides:
    `stepEnded` in class `LocalSearchPhaseLifecycleListenerAdapter`

### createDeciderScoreComparator

    public Comparator<Score> createDeciderScoreComparator()

  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.